For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
        • Brands
            • GETList Brands
            • POSTCreate Brand
            • DELDelete Brands
            • GETGet Brand
            • PUTUpdate Brand
            • DELDelete Brand
        • Categories
        • Category Trees
        • Products
        • Product Modifiers
        • Product Variants
        • Product Variant Options
      • Payments
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTAdminCatalogBrands

Update Brand

PUT
https://api.bigcommerce.com/stores/:store_hash/v3/catalog/brands/:brand_id
PUT
/stores/:store_hash/v3/catalog/brands/:brand_id
$curl -X PUT https://api.bigcommerce.com/stores/store_hash/v3/catalog/brands/1 \
> -H "Accept: application/json" \
> -H "X-Auth-Token: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "name": "Common Good"
>}'
1{
2 "data": {
3 "name": "Common Good",
4 "id": 50,
5 "meta_keywords": [
6 "modern",
7 "clean",
8 "contemporary"
9 ],
10 "meta_description": "Common Good is a modern brand",
11 "search_keywords": "kitchen, laundry, cart, storage",
12 "image_url": "",
13 "custom_url": {
14 "url": "/brands/Common-Good.html",
15 "is_customized": false
16 }
17 },
18 "meta": {}
19}

Updates a brand.

To update a brand image, send a request with an image_url.

Was this page helpful?
Previous

Get Brand

Next

Delete Brand

Built with

Authentication

X-Auth-Tokenstring
### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Products | modify | `store_v2_products` | | Products | read-only | `store_v2_products_read_only` | ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

Path parameters

brand_idintegerRequired
The ID of the brand to which the resource belongs.
store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json
The [MIME type](https://developer.mozilla.org/en-US/docs/Web/HTTP/Basics_of_HTTP/MIME_types) of the response body.

Request

Common Brand properties.
namestringRequired1-255 characters
The name of the brand. Must be unique. Required in POST.
page_titlestringOptional0-255 characters
The title shown in the browser while viewing the brand.
meta_keywordslist of stringsOptional
An array of meta keywords to include in the HTML.
meta_descriptionstringOptional0-65535 characters
A meta description to include.
search_keywordsstringOptional0-65535 characters

A comma-separated list of keywords that can be used to locate this brand.

image_urlstringOptional

Image URL used for this category on the storefront. Images can be uploaded via form file post to /brands/{brandId}/image, or by providing a publicly accessible URL in this field.

custom_urlobjectOptional
The custom URL for the brand on the storefront.

Response

dataobject
Common Brand properties.
metaobject
Response metadata.

Errors

403
Forbidden Error
404
Not Found Error
409
Conflict Error
422
Unprocessable Entity Error

OAuth scopes

UI NamePermissionParameter
Productsmodifystore_v2_products
Productsread-onlystore_v2_products_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

The MIME type of the response body.